org.apache.poi.hemf.record.emfplus

## Interface HemfPlusRecord

- All Superinterfaces:
    GenericRecord
  All Known Implementing Classes:
    HemfPlusDraw.EmfPlusDrawDriverString, HemfPlusDraw.EmfPlusDrawImage, HemfPlusDraw.EmfPlusDrawImagePoints, HemfPlusDraw.EmfPlusDrawPath, HemfPlusDraw.EmfPlusDrawRects, HemfPlusDraw.EmfPlusFillPath, HemfPlusDraw.EmfPlusFillRects, HemfPlusDraw.EmfPlusFillRegion, HemfPlusHeader, HemfPlusMisc.EmfPlusEOF, HemfPlusMisc.EmfPlusFlagOnly, HemfPlusMisc.EmfPlusGetDC, HemfPlusMisc.EmfPlusMultiplyWorldTransform, HemfPlusMisc.EmfPlusResetClip, HemfPlusMisc.EmfPlusResetWorldTransform, HemfPlusMisc.EmfPlusRestore, HemfPlusMisc.EmfPlusSave, HemfPlusMisc.EmfPlusSetAntiAliasMode, HemfPlusMisc.EmfPlusSetClipPath, HemfPlusMisc.EmfPlusSetClipRect, HemfPlusMisc.EmfPlusSetClipRegion, HemfPlusMisc.EmfPlusSetCompositingMode, HemfPlusMisc.EmfPlusSetCompositingQuality, HemfPlusMisc.EmfPlusSetInterpolationMode, HemfPlusMisc.EmfPlusSetPageTransform, HemfPlusMisc.EmfPlusSetPixelOffsetMode, HemfPlusMisc.EmfPlusSetRenderingOrigin, HemfPlusMisc.EmfPlusSetTextRenderingHint, HemfPlusMisc.EmfPlusSetWorldTransform, HemfPlusObject.EmfPlusObject, UnimplementedHemfPlusRecord

      @Internal
      public interface HemfPlusRecord
      extends GenericRecord

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfPlusRecordType` | `getEmfPlusRecordType()`
    `int` | `getFlags()`
    `default java.lang.Enum` | `getGenericRecordType()`
    `long` | `init(LittleEndianInputStream leis, long dataSize, long recordId, int flags)` Init record from stream

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericProperties`

- - ### Method Detail

    - #### getEmfPlusRecordType

          HemfPlusRecordType getEmfPlusRecordType()

    - #### getFlags

          int getFlags()

    - #### init

          long init(LittleEndianInputStream leis,
                    long dataSize,
                    long recordId,
                    int flags)
             throws java.io.IOException

      Init record from stream
      Parameters:
        `leis` - the little endian input stream
        `dataSize` - the size limit for this record
        `recordId` - the id of the `HemfPlusRecordType`
        `flags` - the record flags
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### draw

          default void draw(HemfGraphics ctx)

      Draws the record, the default redirects to the parent WMF record drawing
      Parameters:
        `ctx` - the drawing context

    - #### getGenericRecordType

          default java.lang.Enum getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.